<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Tradespace - Transactions</title>
        <!-- Favicon-->
        <link rel="icon" type="image/x-icon" href="assets/favicon.ico" />
        <!-- Core theme CSS -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css" integrity="sha512-SzlrxWUlpfuzQ+pcUCosxcglQRNAq/DZjVsC0lE40xsADsfeQoEypE+enwcOiGjk/bSuGGKHEyjSoQ1zVisanQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link href="/css/sidebar.css" rel="stylesheet" />
    </head>
    <body>
        <div class="d-flex" id="wrapper">
            <!-- Sidebar-->
            <div class="border-end bg-white" id="sidebar-wrapper">
                <div class="list-group list-group-flush">
                    <a class="list-group-item list-group-item-action list-group-item-light p-3" href="/profile.html">Profile</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3" href="/accounts.html">Accounts</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3" href="/transfer.html">Transfer</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3 active" href="/transactions.html">Transactions</a>
                    <div class="p-3 h6" style="font-size: 0.8rem">Tradespace &copy; 2023</div>
                </div>
            </div>
            <!-- Page content wrapper-->
            <div id="page-content-wrapper">
                <!-- Top navigation-->
                <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
                    <div class="container-fluid">
                        <a class="navbar-brand fw-500" href="#">Tradespace - A Global Money Platform</a>
                        <button class="btn btn-primary" id="sidebarToggle">Hide Menu</button>
                    </div>
                </nav>
                <!-- Page content-->
                <div class="container mt-5">

                    <div class="row justify-content-center mb-5">
                        <div class="col-10 offset-col-md-2">
                            <div class="row justify-content-center">
                                <div class="col">
                                    <h4>Transaction History</h4>
                                    <form action="">
                                        <div class="row g-2">
                                            <div class="col">
                                                <div class="input-group mb-3">
                                                    <label class="input-group-text">Account</label>
                                                    <select id="customerAccounts" class="form-select">
                                                        <option value="null">Choose</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col">
                                                <div class="input-group mb-3">
                                                    <label class="input-group-text">Current Balance</label>
                                                    <input id="accountBalCur" type="text" class="form-control text-end bg-white" value="" placeholder="0.00" disabled>
                                                </div>
                                            </div>
                                            <div class="col">
                                                <div class="input-group mb-3">
                                                    <label class="input-group-text">Available Balance</label>
                                                    <input id="accountBalAvail" type="text" class="form-control text-end bg-white" value="" placeholder="0.00" disabled>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="row justify-content-center">
                                <div class="col">
                                    <form action="">
                                        <div class="row g-2">
                                            <div class="col">
                                                <div class="input-group mb-3">
                                                    <label class="input-group-text">Period</label>
                                                    <select id="transactionPeriod" class="form-select" disabled>
                                                        <option value="null" selected disabled>Choose</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col">
                                                <div class="input-group mb-3">
                                                    <label class="input-group-text">Search</label>
                                                    <input id="transactionSearch" type="text" class="form-control" placeholder="Transaction Description" disabled>
                                                </div>
                                            </div>
                                            <div class="col">
                                                <a id="transSearchBtn" class="btn btn-primary w-100">Search</a>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="row justify-content-center">
                                <div class="col">
                                    <table class="table table-striped table-hover table-responsive border">
                                        <caption>Pending entries are not shown. Tradespace transfers may take longer when internationally transacted.</caption>
                                        <thead class="table-light">
                                            <tr>
                                                <th scope="col">Posted Date <span><a href="" id="postedDateSortBtn"><i id="postedDateSortIcon" data-sort="desc" class="fa-solid fa-arrow-down-9-1 ps-2"></a></span></th>
                                                <th scope="col">Description</th>
                                                <th scope="col" class="text-end">Withdrawals</th>
                                                <th scope="col" class="text-end">Deposits</th>
                                            </tr>
                                        </thead>
                                        <tbody id="transactionsList">
                                            
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <!-- Bootstrap core JS-->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
        <!-- Core theme JS-->
        <script src="/js/sidebar.js"></script>
        <script src="/js/transactions.js"></script>
    </body>
</html>
